Summary:	SNMP MIB browser
Summary(pl.UTF-8):	Przeglądarka MIB
Name:		mbrowse
Version:	0.4.3
Release:	2
License:	GPL v2
Group:		X11/Applications/Networking
Source0:	http://downloads.sourceforge.net/mbrowse/%{name}-%{version}.tar.gz
# Source0-md5:	9857a88d2e6246384587350a647e605d
Patch0:		%{name}-no-common.patch
URL:		https://sourceforge.net/projects/mbrowse/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gtk+2-devel >= 1:2.0.0
BuildRequires:	net-snmp-devel >= 4.2
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Mbrowse is an SNMP MIB browser based on GTK+ and net-snmp.

%description -l pl.UTF-8
Mbrowse jest przeglądarką SNMP MIB bazującą na GTK+ i net-snmp.

%prep
%setup -q
%patch0 -p1

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-snmp-lib=%{_libdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/mbrowse
%changelog
* Fri Sep 24 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mbrowse.git;a=log;h=master

* Fri Sep 24 2021 Jan Rękorajski <baggins@pld-linux.org> da60c05
- rebuild with openssl 3.0.0

* Fri Oct 09 2020 Jakub Bogusz <qboosh@pld-linux.org> e393b4f
- added no-common patch (fixes build with -fno-common, gcc 10 default)

* Fri Oct 09 2020 Jakub Bogusz <qboosh@pld-linux.org> 297420c
- new URLs, updated to 0.4.3
- removed outdated patches

* Mon Oct 05 2020 Jan Rękorajski <baggins@pld-linux.org> 26f8eef
- release 9 (by relup.sh)

* Sat Sep 15 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 59b4c08
- release 8 (by relup.sh)

* Sun Sep 02 2018 Jan Rękorajski <baggins@pld-linux.org> 7784da4
- rebuild with net-snmp 5.8
- release 7 (by relup.sh)

* Sat Jul 30 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 4ee01a3
- release 6

* Mon Nov 15 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 541f957
- release 5

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> ec3ad41
- release 4

* Mon Apr 12 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 1a8f439
- release 3

* Wed Jun 27 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 85c5fec
- rel 2

* Wed Jun 27 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> b09bf87
- fix for th net-snmp

* Wed Jun 27 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 457903b
- new

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 6a92364
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> e906c85
- converted to UTF-8

* Thu Oct 28 2004 paladine <paladine@pld-linux.org> 602866d
- "GTK+" unification (hope thats all)

* Thu Apr 01 2004 Jakub Bogusz <qboosh@pld-linux.org> 644dfbc
- updated to 0.3.1
- pass --with-snmp-lib (for lib64 support)

* Wed May 28 2003 Michal Moskal <michal@moskal.me> fa476ae
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 6168cb1
- massive attack s/pld.org.pl/pld-linux.org/

* Wed Apr 23 2003 Artur Frysiak <artur@frysiak.net> 0ca0251
- rebuild
- release 3

